| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderVarMapping Struct Reference
[Common Plugin Classes]

Mapping of a shader variable to some shader-specific destination. More...

`#include <csplugincommon/shader/shaderplugin.h>`

Inheritance diagram for csShaderVarMapping:

[legend]
List of all members.

## Public Member Functions
| csShaderVarMapping (csStringID n, const char *d)
## Public Attributes
csString | destination
| Destination.
csStringID | name
| Shader variable name.

## Detailed Description

Mapping of a shader variable to some shader-specific destination.

Definition at line 35 of file shaderplugin.h.

## Member Data Documentation

csString csShaderVarMapping::destination

Destination.

Definition at line 40 of file shaderplugin.h.

csStringID csShaderVarMapping::name

Shader variable name.

Definition at line 38 of file shaderplugin.h.

Referenced by csShaderProgram::VariableMapEntry::VariableMapEntry().

The documentation for this struct was generated from the following file:

- csplugincommon/shader/shaderplugin.h